> ## Documentation Index
> Fetch the complete documentation index at: https://docs.iinkedsign.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete

You can delete all the videos or a specific video for a given package by calling the `/packages/{packageId}/videos/delete` endpoint.

<Danger>
  Please note that this will mark the video for permanent deletion from the iinked Sign platform and you should only do so if you have downloaded or no longer need the video.
</Danger>

## Request

```http Request theme={null}
POST /packages/videos/delete
{
	"packageId": "c603079c-2dc7-4af7-8c2e-dc992662621c",
	"meetingVideoId": "4c512b8a-c1ad-47da-ae22-5a61115505e3"
}
```

### Body

<ParamField body="packageId" type="string" required>
  Unique identifier for the package to be deleted.
</ParamField>

<ParamField body="meetingVideoId" type="string">
  Unique identifier for the specific meeting video to be deleted.

  <Warning>
    If not provided, all package videos will be deleted.
  </Warning>
</ParamField>

## Response

<ResponseField name="packageId" type="string">
  Unique identifier of the package associated with the deleted videos.
</ResponseField>

<ResponseField name="videos" type="object[]">
  List of meeting videos deleted from the package.

  <Expandable title="properties">
    <ResponseField name="meetingVideoId" type="string">
      Unique identifier for the video.
    </ResponseField>

    <ResponseField name="meetingVideoSharedId" type="string">
      Shared identifier for the video.
    </ResponseField>

    <ResponseField name="meetingId" type="string">
      Identifier of the meeting the video belongs to.
    </ResponseField>

    <ResponseField name="meetingSessionId" type="string">
      Identifier of the meeting session.
    </ResponseField>

    <ResponseField name="externalVideoId" type="string">
      External system identifier for the video (if available).
    </ResponseField>

    <ResponseField name="externalStorageId" type="string">
      External storage identifier for the video (if available).
    </ResponseField>

    <ResponseField name="timeCreated" type="string">
      Creation time (ISO 8601 date-time).
    </ResponseField>

    <ResponseField name="timeRetention" type="string" post={["nullable"]}>
      Retention expiry time (ISO 8601 date-time).
    </ResponseField>

    <ResponseField name="timeDeleted" type="string" post={["nullable"]}>
      Deletion time (ISO 8601 date-time).
    </ResponseField>

    <ResponseField name="duration" type="string">
      Video duration (ISO 8601 duration).
    </ResponseField>

    <ResponseField name="size" type="number">
      Size of the video in bytes.
    </ResponseField>

    <ResponseField name="source" type="string">
      Source of the video.
    </ResponseField>

    <ResponseField name="type" type="string">
      Type of video.

      <Expandable title="values">
        | Value | Description               |
        | :---- | :------------------------ |
        | video | Standard video recording. |
      </Expandable>
    </ResponseField>

    <ResponseField name="state" type="string">
      Current state of the video.

      <Expandable title="values">
        | Value    | Description                                                                     |
        | :------- | :------------------------------------------------------------------------------ |
        | started  | Video recording session is currently active.                                    |
        | stopped  | Video recording session ended successfully.                                     |
        | queued   | Video recording is waiting to download.                                         |
        | failed   | Video recording failed to download because of an error.                         |
        | archived | Video recording has been successfully downloaded and is available for playback. |
        | deleted  | Video recording has been permanently removed.                                   |
      </Expandable>
    </ResponseField>

    <ResponseField name="url" type="string">
      Temporary URL to download or playback the video.

      <Note>
        Expires based on `timeUrlExpires`.
      </Note>
    </ResponseField>

    <ResponseField name="timeUrlExpires" type="string">
      Expiration time for the temporary URL (ISO 8601 date-time).
    </ResponseField>
  </Expandable>
</ResponseField>

## Examples

```json Response (200) theme={null}
{
	"packageId": "c603079c-2dc7-4af7-8c2e-dc992662621c",
	"videos": [
		{
			"meetingVideoId": "4c512b8a-c1ad-47da-ae22-5a61115505e3",
			"meetingId": "0f2f4065-3d07-4fd5-96e8-13b3f77a7c9d",
			"timeCreated": "2019-08-20T18:57:33.541Z",
			"timeRetention": null,
			"timeDeleted": "2019-08-20T18:58:02.2596573Z",
			"duration": "PT6S",
			"size": 484524,
			"type": "video",
			"state": "deleted",
			"url": null,
			"timeUrlExpires": null
		}
	]
}
```
